Name:           ocaml-lambda-term
Version:        1.3
Release:        %mkrel 2
Summary:        Terminal manipulation library for OCaml
License:        BSD-3-clause
Group:          Development/OCaml
URL:            http://forge.ocamlcore.org/projects/lambda-term/
Source0:        http://forge.ocamlcore.org/frs/download.php/1034/lambda-term-%{version}.tar.gz
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-oasis
BuildRequires:  ocaml-camomile-devel
BuildRequires:  ocaml-zed-devel
BuildRequires:  ocaml-lwt-devel
Requires:  ocaml-camomile
Requires:  ocaml-zed
Requires:  ocaml-lwt

%description
Lambda-term is a cross-platform library for manipulating the
terminal. It provides an abstraction for keys, mouse events, colors,
as well as a set of widgets to write curses-like applications.

The main objective of lambda-term is to provide a higher level
functional interface to terminal manipulation than, for example,
ncurses, by providing a native OCaml interface instead of bindings to
a C library.

Lambda-term integrates with zed to provide text edition facilities in
console applications.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n lambda-term-%{version}

%build
./configure \
    --prefix %{_prefix} \
    --libdir %{_libdir} \
    --libexecdir %{_libexecdir} \
    --exec-prefix %{_exec_prefix} \
    --bindir %{_bindir} \
    --sbindir %{_sbindir} \
    --mandir %{_mandir} \
    --datadir %{_datadir} \
    --localstatedir %{_localstatedir} \
    --sharedstatedir %{_sharedstatedir} \
    --destdir %{buildroot}

make all
make doc
ln -s _build/lambda-term-api.docdir doc

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_LDCONF=ignore
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/lambda-term
mkdir -p %{buildroot}/usr/lib/ocaml/
make install
rm -rf %{buildroot}%{_datadir}/doc/lambda-term/

# Generate a README.txt file.
patch _oasis <<EOP
--- _oasis~	2012-07-30 19:48:30.000000000 +0200
+++ _oasis	2012-08-03 00:03:21.509918853 +0200
@@ -11,7 +11,7 @@
 Authors: Jérémie Dimino
 Homepage: http://lambda-term.forge.ocamlcore.org/
 BuildTools: ocamlbuild
-Plugins: DevFiles (0.3), META (0.3)
+Plugins: DevFiles (0.3), META (0.3), StdFiles (0.2)
 Synopsis: Terminal manipulation library for OCaml
 Description:
   Lambda-term is a cross-platform library for manipulating the
EOP
oasis setup

%files
%doc README.txt AUTHORS.txt CHANGES CHANGES.darcs LICENSE
%{_bindir}/lambda-term-actions
%dir %{_libdir}/ocaml/lambda-term
%{_libdir}/ocaml/lambda-term/META
%{_libdir}/ocaml/lambda-term/*.cmi
%{_libdir}/ocaml/lambda-term/*.cma
%{_libdir}/ocaml/lambda-term/*.cmxs
%{_libdir}/ocaml/lambda-term/*.so
%{_mandir}/man1/*
%{_mandir}/man5/*

%files devel
%doc doc/ examples/ tests/
%{_libdir}/ocaml/lambda-term/*.a
%{_libdir}/ocaml/lambda-term/*.cmxa
%{_libdir}/ocaml/lambda-term/*.cmx
%{_libdir}/ocaml/lambda-term/*.mli


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.3-2.mga3
+ Revision: 361434
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 20 2012 malo <malo> 1.3-1.mga3
+ Revision: 308581
- update to 1.3

  + blue_prawn <blue_prawn>
    - new rpm group for ocaml
    - new rpm group for ocaml

* Fri Aug 03 2012 blue_prawn <blue_prawn> 1.2-1.mga3
+ Revision: 278059
- ocaml-camomile required by zed
- imported package ocaml-lambda-term

